For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTSend User OTP
      • POSTVerify User OTP
      • GETGet User Limits
      • GETGet User Details
      • GETRefresh User Access Token
      • POSTLogout User
      • POSTOnboard User (Auth Reliance)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIUser

Onboard User (Auth Reliance)

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/user/onboard
POST
/api/v2/user/onboard
$curl -X POST https://api-gateway-stg.transak.com/api/v2/user/onboard \
> -H "x-user-identifier: test@gmail.com" \
> -H "x-access-token: "
1{
2 "data": {
3 "partnerUserId": "2e0dqwe4a-f0cc-46f8-b965-231d9bccb3da",
4 "email": "test@gmail.com",
5 "status": "ACTIVE",
6 "kyc": {
7 "status": "APPROVED",
8 "type": "STANDARD"
9 }
10 }
11}
The **Onboard User** API is used to create or fetch a user. This API is applicable only for [**Auth Reliance Flows**](/features/auth-reliance). Pass the authenticated user's identifier in `x-user-identifier` and the partner access token in `x-access-token`. | Scenario | Behavior | | --- | --- | | New user | Creates the user and returns the KYC status. | | Existing user | Returns the existing user details and KYC status. |
Was this page helpful?
Previous

Logout User

Next

Get KYC Requirement

Built with

The Onboard User API is used to create or fetch a user. This API is applicable only for Auth Reliance Flows.

Pass the authenticated user’s identifier in x-user-identifier and the partner access token in x-access-token.

ScenarioBehavior
New userCreates the user and returns the KYC status.
Existing userReturns the existing user details and KYC status.

Headers

x-user-identifierstringRequired

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

200 - Success

dataobject

Errors

401
Unauthorized Error
500
Internal Server Error